﻿unit form1;

interface

uses
  qtx.sysutils,
  qtx.classes,
  qtx.dom.types,
  qtx.dom.events,
  qtx.dom.graphics,
  qtx.dom.widgets,
  qtx.dom.theme,
  qtx.dom.application,
  qtx.dom.forms,
  utils.diary;

type
  Tform1 = class(TQTXForm)
  protected
    FDiary: TQTXDiary;
    procedure InitializeObject; override;
    procedure FinalizeObject; override;
    procedure StyleObject; override;
  public
  end;

implementation

procedure Tform1.InitializeObject;
begin
 inherited;
 style.backgroundColor := '#2b2a2b';

 FDiary := TQTXDiary.Create(self, procedure(ADiary: TQTXDiary)
 begin
  for var i := 0 to 5 do
    ADiary.Add(procedure(AItem: TQTXDiaryItem)
    begin
     AItem.Title := inttostr((i+1)*2)+' December';

     AItem.Add(procedure(AArticle: TQTXDiaryArticle)
     begin
      AArticle.Title :='9:00 AM';
      AArticle.Content := 'Life finds a way. You know what? It is beets.';
     end);

     AItem.Add(procedure(AArticle: TQTXDiaryArticle)
     begin
      AArticle.Title :='10:00 AM';
      AArticle.Content := 'I''ve crashed into a beet truck';
     end);

     AItem.Add(procedure(AArticle: TQTXDiaryArticle)
     begin
      AArticle.Title := '12:30 AM';
      AArticle.Content := 'I was part of something special.';
     end);
     AItem.Add(procedure(AArticle: TQTXDiaryArticle)
     begin
      AArticle.Title := '13:30 AM';
      AArticle.Content :=  'Yeah, but your scientists were so preoccupied with whether or not they could, they didn''t stop to think if they should.<br><br>'+
       '<img src="https://images.fineartamerica.com/images-medium-large-5/maroon-bells-aspen-colorado-black-and-white-photography-by-sai.jpg" alt="Black and white photo of a lake">';
     end);
     AItem.Add(procedure(AArticle: TQTXDiaryArticle)
     begin
      AArticle.Title := '14:30 AM';
      AArticle.Content := 'Just my luck, no ice. God help us, we''re in the hands of engineers.';
     end);
     AItem.Add(procedure(AArticle: TQTXDiaryArticle)
     begin
      AArticle.Title := '15:30 AM';
      AArticle.Content := 'I gave it a cold? I gave it a virus. A computer virus.';
     end);
     AItem.Add(procedure(AArticle: TQTXDiaryArticle)
     begin
      AArticle.Title := '16:30 AM';
      AArticle.Content := 'God creates dinosaurs. God destroys dinosaurs. God creates Man. Man destroys God. Man creates Dinosaurs.';
     end);
     AItem.Add(procedure(AArticle: TQTXDiaryArticle)
     begin
      AArticle.Title := '17:30 AM';
      AArticle.Content :='What do they got in there? King Kong?<br><br>' +
       '<img src="https://upload.wikimedia.org/wikipedia/commons/thumb/c/c8/Eiffel_tower_at_Exposition_Universelle%2C_Paris%2C_1889.jpg/1200px-Eiffel_tower_at_Exposition_Universelle%2C_Paris%2C_1889.jpg" alt="Black and White Eiffel Tower"" alt="Black and white Mountian view">';
     end);
    end);
   end);
end;

procedure Tform1.FinalizeObject;
begin
  inherited;
end;

procedure Tform1.StyleObject;
begin
  inherited;
  PositionMode := TQTXWidgetPositionMode.cpInitial;
  DisplayMode := TQTXWidgetDisplayMode.cdBlock;
end;


end.
